package com.ruoyi.platform.mapper;

import com.ruoyi.platform.domain.MachineLearn;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;

import java.util.List;

public interface MachineLearnDao {
    long count(@Param("name") String name, @Param("type") String type);

    List<MachineLearn> queryByPage(@Param("name") String name, @Param("type") String type, @Param("pageable") Pageable pageable);

    int save(@Param("machineLearn") MachineLearn machineLearn);

    int edit(@Param("machineLearn") MachineLearn machineLearn);

    MachineLearn getMachineLearnById(@Param("id") Long id);

    MachineLearn getMachineLearnByName(@Param("name") String name);

    List<MachineLearn> queryByDatasetId(@Param("datasetId") String datasetId);
}
